Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbox2d.collision
Class Shape

    java.lang.Object
      org.jbox2d.collision.Shape

Direct Known Subclasses:
  CircleShape, PolygonShape

    public abstract class Shape

extends java.lang.Object

Field Summary
`Body` | `m_body`
`int` | `m_categoryBits`
`float` | `m_density`
`float` | `m_friction`
`int` | `m_groupIndex`
`boolean` | `m_isSensor`
`int` | `m_maskBits`
`Shape` | `m_next`
`int` | `m_proxyId`
`float` | `m_restitution`
`float` | `m_sweepRadius`
`ShapeType` | `m_type`
`java.lang.Object` | `m_userData`
`int` | `uid`

Constructor Summary
`Shape(ShapeDef def)`

Method Summary
`abstract void` | `computeAABB(AABB aabb, XForm xf)`
`abstract void` | `computeMass(MassData massData)`
`abstract void` | `computeSweptAABB(AABB aabb, XForm xf1, XForm xf2)`
`static Shape` | `create(ShapeDef def)`
`void` | `createProxy(BroadPhase broadPhase, XForm transform)`
`static void` | `destroy(Shape s)`
`void` | `destroyProxy(BroadPhase broadPhase)`
`void` | `destructor()`
`Body` | `getBody()`
`Shape` | `getNext()`
`float` | `getSweepRadius()`
`ShapeType` | `getType()`
`java.lang.Object` | `getUserData()`
`boolean` | `isSensor()`
`void` | `resetProxy(BroadPhase broadPhase, XForm transform)`
`boolean` | `synchronize(BroadPhase broadPhase, XForm transform1, XForm transform2)`
`abstract boolean` | `testPoint(XForm xf, Vec2 p)`
`abstract void` | `updateSweepRadius(Vec2 center)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uid

    public int uid

### m_type

    public ShapeType m_type

### m_next

    public Shape m_next

### m_body

    public Body m_body

### m_sweepRadius

    public float m_sweepRadius

### m_density

    public float m_density

### m_friction

    public float m_friction

### m_restitution

    public float m_restitution

### m_proxyId

    public int m_proxyId

### m_categoryBits

    public int m_categoryBits

### m_maskBits

    public int m_maskBits

### m_groupIndex

    public int m_groupIndex

### m_isSensor

    public boolean m_isSensor

### m_userData

    public java.lang.Object m_userData

Constructor Detail

### Shape

    public Shape(ShapeDef def)

Method Detail

### getType

    public ShapeType getType()

### isSensor

    public boolean isSensor()

### getUserData

    public java.lang.Object getUserData()

### getBody

    public Body getBody()

### getNext

    public Shape getNext()

### getSweepRadius

    public float getSweepRadius()

### testPoint

    public abstract boolean testPoint(XForm xf,
                                      Vec2 p)

### computeAABB

    public abstract void computeAABB(AABB aabb,
                                     XForm xf)

### computeSweptAABB

    public abstract void computeSweptAABB(AABB aabb,
                                          XForm xf1,
                                          XForm xf2)

### computeMass

    public abstract void computeMass(MassData massData)

### updateSweepRadius

    public abstract void updateSweepRadius(Vec2 center)

### synchronize

    public boolean synchronize(BroadPhase broadPhase,
                               XForm transform1,
                               XForm transform2)

### resetProxy

    public void resetProxy(BroadPhase broadPhase,
                           XForm transform)

### create

    public static Shape create(ShapeDef def)

### destroy

    public static void destroy(Shape s)

### destructor

    public void destructor()

### createProxy

    public void createProxy(BroadPhase broadPhase,
                            XForm transform)

### destroyProxy

    public void destroyProxy(BroadPhase broadPhase)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD